<?xml version="1.0"?>
<doc>
    <members>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.AppPluginFactory.getApplication(System.String)">
            <summary> 
            Obtain Application Mgr for Plugin 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.Application.getPluginConfiguration(System.String)">
            <summary> 
            Get plugin config object for the specified prog id 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.Application.Name">
            <summary> 
            Get name of application, eg. 'ePortfolio' for current 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.Application.PluginConfigurations">
            <summary> 
            Get plugin configs 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.getPluginHelper">
            <summary> 
            get PluginHelper handle 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.GetDescription(System.String)">
            <summary> 
            Description in correct locale, must have IDesktopPluginHelper implemented 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.Preference">
            <summary> 
            Preference 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.DescriptionID">
            <summary> 
            DescriptionID 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.Actions">
            <summary> 
            Get actions 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.ProgID">
            <summary> 
            Prog Id 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.ComponentActions">
            <summary> 
            Get component actions 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.IconKey">
            <summary> 
            Icon Key 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.HasDefaultAction">
            <summary> 
            Does this plugin have a default action? 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.HasCreateActions">
            <summary> 
            Does this plugin have create actions? 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.CreateActions">
            <summary> 
            Get create actions 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.MyInfoViewActions">
            <summary> 
            Get Dashboard actions 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.HasUploadActions">
            <summary> 
            Does this plugin have upload actions? 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.UploadActions">
            <summary> 
            Get upload actions 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.HasInboxActions">
            <summary> 
            Does this plugin have inbox actions? 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.InboxActions">
            <summary> 
            Get inbox actions 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppDesktopPluginConfiguration.HasDefaultInboxAction">
            <summary> 
            Does this plugin have a default inbox action? 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.AppActions.GetItem(System.Int32)">
            <summary> 
            Get Action given Index. Index is ordinal position. 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppActions.Count">
            <summary> 
            Number of Actions in the collection 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.AppAction.GetDescription(System.String)">
            <summary> 
            Return Description of action in correct locale. Must have IDesktopPluginHelper implemented 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.AppAction.GetRight(System.Int32)">
            <summary> 
            Get right of action in ordinal postion. 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppAction.DescriptionID">
            <summary> 
            Return DescriptionID of action. 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppAction.Path">
            <summary> 
            Get Path of action. 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppAction.WindowProperty">
            <summary> 
            Get WindowProperty of action. 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppAction.Name">
            <summary> 
            Get name of action. 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppAction.IsDefault">
            <summary> 
            Find out if this is a default action 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppAction.RightSize">
            <summary> 
            Get number of rights for this action. 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.DesktopPluginHelper.CheckAction(BusinessObjects.Enterprise.Web.AppPlugin.AppActions,CrystalDecisions.Enterprise.EnterpriseSession,CrystalDecisions.Enterprise.InfoObject)">
            <summary> 
            CheckAction:IDesktopPluginHelper 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.DesktopPluginHelper.CheckAction(BusinessObjects.Enterprise.Web.AppPlugin.AppActions,CrystalDecisions.Enterprise.EnterpriseSession)">
            <summary> 
            CheckAction:IDesktopPluginHelper 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.DesktopPluginHelper.GetDescription(System.String,System.String)">
            <summary> 
            Return Description string for this plugin helper in correct locale 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.AppActionBeans.GetItem(System.Int32)">
            <summary> 
            Get ActionBean given Index. Index is ordinal position. 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.AppActionBeans.Add(BusinessObjects.Enterprise.Web.AppPlugin.AppActionBean)">
            <summary> 
            Add Bean into collection 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppActionBeans.Count">
            <summary> 
            Number of ActionBeans in the collection 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.AppActionBean.AddActionParam(System.String,System.String)">
            <summary> 
            Add action param 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.AppActionBean.AddAction(BusinessObjects.Enterprise.Web.AppPlugin.AppAction)">
            <summary> 
            Add action 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.AppActionBean.GetActionParam(System.Int32)">
            <summary> 
            Get param 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppActionBean.action">
            <summary> 
            Get Action. 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppActionBean.ActionParamCount">
            <summary> 
            Get paramCount 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppActionParam.Key">
            <summary> 
            Get key 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppActionParam.value">
            <summary> 
            Get value 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.AppPluginConfigurations.Reset">
            <summary> 
            Reset internal iterator to beginning 
            </summary> 
        </member>
        <member name="M:BusinessObjects.Enterprise.Web.AppPlugin.AppPluginConfigurations.Find(System.String)">
            <summary> 
            Find plugin using plugin name 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppPluginConfigurations.Count">
            <summary> 
            Number of Plugins in the collection 
            </summary> 
        </member>
        <member name="P:BusinessObjects.Enterprise.Web.AppPlugin.AppPluginConfigurations.Next">
            <summary> 
            Get Plugin for Next 
            </summary> 
        </member>
    </members>
</doc>
